Bug 196603 - Nautilus confuses "txt document" with "plain text document"
Nautilus confuses "txt document" with "plain text document"
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-06-25 17:09 EDT by Chris Spencer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-03 14:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Nautilus refuses to open because it's a "plain text document". (1021 bytes, application/x-extension-txt)
2006-06-25 17:09 EDT, Chris Spencer
no flags Details

  None (edit)
Description Chris Spencer 2006-06-25 17:09:44 EDT
For certain text files, I get the following error message when I click on them
in Nautilus 2.14.1:

Cannot open test.txt

The filename "test.txt" indicates that this file is of type "txt document". The
contents of the file indicate that the file is of type "plain text document". If
you open this file, the file might present a security risk to your system.

Do not open the file unless you created the file yourself, or received the file
from a trusted source. To open the file, rename the file to the correct
extension for "plain text document", then open the file normally. Alternatively,
use the Open With menu to choose a specific application for the file. 

I can only presume this is a bug, since I'm unaware of any real distinction
between "txt document" and "plain text document".

I haven't been able to narrow down what specific content causes this confusion
but I've been able to reproduce this problem using the attached file. The name
of the file doesn't seem to make any difference.
Comment 1 Chris Spencer 2006-06-25 17:09:44 EDT
Created attachment 131509 [details]
Nautilus refuses to open because it's a "plain text document".
Comment 2 Matthias Clasen 2006-08-03 14:48:27 EDT
fixed in 2.15.x

Note You need to log in before you can comment on or make changes to this bug.